@charset "ISO-8859-1";

body {
	margin: 0;
	align-items: center;
	justify-content: center;   
}

#background {
	position: fixed;
	right: 0;
	bottom: 0;
	min-width: 100%;
	min-height: 100%;
	width: auto;
	height: auto;
	z-index: -100;
	background-size: cover;
}

/* Stile finestra modale */
.modal {
  	display: none; /* Nascosta di default */
  	position: fixed; /* Resta in posizione fissata */
  	z-index: 1; /* Mostrata davanti a tutto */
  	padding-top: 50px; /* Posizione della finestra */
  	left: 0;
  	top: 0;
  	width: 100%; /* Piena larghezza */
  	height: 100%; /* Piena altezza */
  	overflow: auto; /* Attiva lo scroll se necessario */
  	background-color: rgb(0,0,0); 
  	background-color: rgba(0,0,0,0.4);
}

/* Contenuto della finestra modale */
.modal-content {
  	background-color: #F0FFFF;
  	margin: auto;
  	padding: 20px;
  	order: 1px solid #888;
  	width: 80%;
}

/* Stile del div login */
.stile-divLogin {
  	border-radius: 10px;
 	color: #000000;
  	margin: 10% auto;
  	width: 35%;
  	max-width: 800px;
  	padding: 10px;
}

/* Stile delle celle di input della form Login */
.inputFormLogin {
 	width: 50%;
    padding: 10px 15px;
    margin: 3px 25%;
    box-sizing: border-box;
    border: 1px solid #888;
    border-radius: 15px;
    outline: none;
}

/* Quando viene selezionata una cella di input della form Login, il colore del suo sfondo cambia */
.inputFormLogin:focus{
	background-color: #d9edee;
}

h1{ 
	font-family: Impact, Charcoal, sans-serif;
	letter-spacing: 2px;
	word-spacing: 2px;
	color: #0F997D;
	font-weight: normal;
	font-size: 43px;
	text-decoration: underline overline;
	font-style: normal;
	font-variant: small-caps;
	text-transform: none;
}

/* Stile delle celle di input della form Registrazione */
.inputFormRegistrazione {
	width: 100%;
    padding: 10px 15px;
    margin: 5px 0;
    box-sizing: border-box;
    border: 1px solid #888;
    border-radius:10px;
    outline:none;
}

/* Quando viene selezionata una cella di input della form Registrazione, il colore del suo sfondo cambia */
.inputFormRegistrazione:focus{
	background-color: #d9edee;
}

/* Stile dei pulsanti della pagina Index.html */
.buttonIndex {
	display:inline-block;
    text-align: center;
	transition-duration: 0.4s;
 	cursor: pointer;
 	border-radius:5px;
 	border:1px;
 	font-size: 16px;
 	margin: 10px 0;
 	outline:none;
}

.buttonIndex:hover{
	background:linear-gradient(to bottom, #0F997D 5%, #0F997D 100%);
	background-color: #0F997D;
}

.buttonIndex:active{
	position:relative;
	top:1px;
}

/* Stile dei pulsanti della finestra modale Registrazione */
.buttonFormRegistrazione {
	text-align: center;
	font-size: 16px;
	margin: 10px 0px;
	transition-duration: 0.4s;
 	cursor: pointer;
 	border-radius:5px;
 	border:3px;
 	outline:none;
}

.buttonFormRegistrazione:hover:enabled{
	background:linear-gradient(to bottom, #0F997D 5%, #0F997D 100%);
	background-color: #0F997D;
}

.buttonFormRegistrazione:active{
	position:relative;
	top:1px;
}

/* Stile degli errori della finestra modale Registrazione */
.errorRegistrazione {
	width: 100%;
	margin-top: -3px;
	margin-bottom: 5px;
	display: none;
	color: red;
}

/* Quando viene eseguito un controllo nel database, all'interno della finestra modale Registrazione, viene mostrata una gif di caricamento */
.loading { 
    background-position:99% 50%;
    background-image: url("Spinner.gif");
    background-repeat: no-repeat;
}

/* Finestra modale utilizzata per segnalare all'utente l'avvenuta registrazione */
.registrazioneSuccesso {
	display: none; 
 	position: fixed; 
 	z-index: 1; 
 	padding-top: 300px; 
 	left: 0;
  	top: 0;
  	width: 100%; 
 	height: 100%; 
 	overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4); 
	color: red;
}